## org.apache.myfaces.custom.schedule
Class ScheduleTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.custom.schedule.ScheduleTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class ScheduleTag
extends javax.faces.webapp.UIComponentTag

JSP tag for the schedule component

Version:
  $Revision$
Author:
  Jurgen Lust (latest modification by $Author$)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ScheduleTag()`

Method Summary
`java.lang.String` `getAction()` The action of the JSF component
`java.lang.String` `getActionListener()` The actionlistener of the JSF component
`java.lang.String` `getCompactMonthRowHeight()` The height in pixels of a cell in the compact month view
`java.lang.String` `getCompactWeekRowHeight()` The height in pixels of a cell in the compact week view
`java.lang.String` `getComponentType()`
`java.lang.String` `getHeaderDateFormat()` The dateformat used in the header
`java.lang.String` `getImmediate()` The immediate property of the JSF component
`java.lang.String` `getReadonly()` The readonly property of the JSF component
`java.lang.String` `getRendered()` Should this component be rendered?
`java.lang.String` `getRendererType()`
`java.lang.String` `getTheme()` The theme of the schedule component.
`java.lang.String` `getTooltip()` Should tooltips be displayed?
`java.lang.String` `getValue()` The value of the JSF component
`java.lang.String` `getVisibleEndHour()` The visible end hour of the schedule
`java.lang.String` `getVisibleStartHour()` The visible start hour of the schedule
`java.lang.String` `getWorkingEndHour()` The working end hour of the schedule
`java.lang.String` `getWorkingStartHour()` The working start hour of the schedule
`void` `release()`
`void` `setAction(java.lang.String action)` The action of the JSF component
`void` `setActionListener(java.lang.String actionListener)` The actionlistener of the JSF component
`void` `setCompactMonthRowHeight(java.lang.String compactMonthRowHeight)` The height in pixels of a cell in the compact month view
`void` `setCompactWeekRowHeight(java.lang.String compactWeekRowHeight)` The height in pixels of a cell in the compact week view
`void` `setHeaderDateFormat(java.lang.String headerDateFormat)` The dateformat used in the header
`void` `setImmediate(java.lang.String immediate)` The immediate property of the JSF component
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setReadonly(java.lang.String readonly)` The readonly property of the JSF component
`void` `setRendered(java.lang.String rendered)` Should this component be rendered?
`void` `setTheme(java.lang.String theme)` The theme of the schedule component.
`void` `setTooltip(java.lang.String tooltip)` Should tooltips be displayed?
`void` `setValue(java.lang.String value)` The value of the JSF component
`void` `setVisibleEndHour(java.lang.String visibleEndHour)` The visible end hour of the schedule
`void` `setVisibleStartHour(java.lang.String visibleStartHour)` The visible start hour of the schedule
`void` `setWorkingEndHour(java.lang.String workingEndHour)` The working end hour of the schedule
`void` `setWorkingStartHour(java.lang.String workingStartHour)` The working start hour of the schedule

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScheduleTag

    public ScheduleTag()

Method Detail

### setAction

    public void setAction(java.lang.String action)

  The action of the JSF component

  Parameters:
    `action` - The action to set.

### getAction

    public java.lang.String getAction()

  The action of the JSF component

  Returns:
    Returns the action.

### setActionListener

    public void setActionListener(java.lang.String actionListener)

  The actionlistener of the JSF component

  Parameters:
    `actionListener` - The actionListener to set.

### getActionListener

    public java.lang.String getActionListener()

  The actionlistener of the JSF component

  Returns:
    Returns the actionListener.

### setCompactMonthRowHeight

    public void setCompactMonthRowHeight(java.lang.String compactMonthRowHeight)

  The height in pixels of a cell in the compact month view

  Parameters:
    `compactMonthRowHeight` - The compactMonthRowHeight to set.

### getCompactMonthRowHeight

    public java.lang.String getCompactMonthRowHeight()

  The height in pixels of a cell in the compact month view

  Returns:
    Returns the compactMonthRowHeight.

### setCompactWeekRowHeight

    public void setCompactWeekRowHeight(java.lang.String compactWeekRowHeight)

  The height in pixels of a cell in the compact week view

  Parameters:
    `compactWeekRowHeight` - The compactWeekRowHeight to set.

### getCompactWeekRowHeight

    public java.lang.String getCompactWeekRowHeight()

  The height in pixels of a cell in the compact week view

  Returns:
    Returns the compactWeekRowHeight.

### getComponentType

    public java.lang.String getComponentType()

  See Also:
    `UIComponentTag.getComponentType()`

### setHeaderDateFormat

    public void setHeaderDateFormat(java.lang.String headerDateFormat)

  The dateformat used in the header

  Parameters:
    `headerDateFormat` - The headerDateFormat to set.

### getHeaderDateFormat

    public java.lang.String getHeaderDateFormat()

  The dateformat used in the header

  Returns:
    Returns the headerDateFormat.

### setImmediate

    public void setImmediate(java.lang.String immediate)

  The immediate property of the JSF component

  Parameters:
    `immediate` - The immediate to set.

### getImmediate

    public java.lang.String getImmediate()

  The immediate property of the JSF component

  Returns:
    Returns the immediate.

### setReadonly

    public void setReadonly(java.lang.String readonly)

  The readonly property of the JSF component

  Parameters:
    `readonly` - The readonly to set.

### getReadonly

    public java.lang.String getReadonly()

  The readonly property of the JSF component

  Returns:
    Returns the readonly.

### setRendered

    public void setRendered(java.lang.String rendered)

  Should this component be rendered?

  Parameters:
    `rendered` - The rendered to set.

### getRendered

    public java.lang.String getRendered()

  Should this component be rendered?

  Returns:
    Returns the rendered.

### getRendererType

    public java.lang.String getRendererType()

  See Also:
    `UIComponentTag.getRendererType()`

### setTheme

    public void setTheme(java.lang.String theme)

  The theme of the schedule component. This is the name of the CSS file that should be loaded when rendering the schedule. Possible values are 'default', 'outlookxp', 'evolution'.

  Parameters:
    `theme` - The theme to set.

### getTheme

    public java.lang.String getTheme()

  The theme of the schedule component. This is the name of the CSS file that should be loaded when rendering the schedule. Possible values are 'default', 'outlookxp', 'evolution'.

  Returns:
    Returns the theme.

### setTooltip

    public void setTooltip(java.lang.String tooltip)

  Should tooltips be displayed?

  Parameters:
    `tooltip` - The tooltip to set.

### getTooltip

    public java.lang.String getTooltip()

  Should tooltips be displayed?

  Returns:
    Returns the tooltip.

### setValue

    public void setValue(java.lang.String value)

  The value of the JSF component

  Parameters:
    `value` - The value to set.

### getValue

    public java.lang.String getValue()

  The value of the JSF component

  Returns:
    Returns the value.

### setVisibleEndHour

    public void setVisibleEndHour(java.lang.String visibleEndHour)

  The visible end hour of the schedule

  Parameters:
    `visibleEndHour` - The visibleEndHour to set.

### getVisibleEndHour

    public java.lang.String getVisibleEndHour()

  The visible end hour of the schedule

  Returns:
    Returns the visibleEndHour.

### setVisibleStartHour

    public void setVisibleStartHour(java.lang.String visibleStartHour)

  The visible start hour of the schedule

  Parameters:
    `visibleStartHour` - The visibleStartHour to set.

### getVisibleStartHour

    public java.lang.String getVisibleStartHour()

  The visible start hour of the schedule

  Returns:
    Returns the visibleStartHour.

### setWorkingEndHour

    public void setWorkingEndHour(java.lang.String workingEndHour)

  The working end hour of the schedule

  Parameters:
    `workingEndHour` - The workingEndHour to set.

### getWorkingEndHour

    public java.lang.String getWorkingEndHour()

  The working end hour of the schedule

  Returns:
    Returns the workingEndHour.

### setWorkingStartHour

    public void setWorkingStartHour(java.lang.String workingStartHour)

  The working start hour of the schedule

  Parameters:
    `workingStartHour` - The workingStartHour to set.

### getWorkingStartHour

    public java.lang.String getWorkingStartHour()

  The working start hour of the schedule

  Returns:
    Returns the workingStartHour.

### release

    public void release()

  See Also:
    `Tag.release()`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  See Also:
    `UIComponentTag.setProperties(javax.faces.component.UIComponent)`